import './helpers/types.d.ts';

import './refined-github.css';
import './features/github-bugs.css';
import './features/scrollable-code-and-blockquote.css';
import './features/center-reactions-popup.css';
import './features/safer-destructive-actions.css';
import './features/clean-mergeability-box.css';
import './features/clean-footer.css';
import './features/pr-approvals-count.css';
import './features/hide-tips.css';
import './features/clean-conversations.css';
import './features/sticky-conversation-list-toolbar.css';
import './features/always-show-branch-delete-buttons.css';
import './features/easier-pr-sha-copy.css';
import './features/repo-stats-spacing.css';
import './features/emphasize-draft-pr-label.css';
import './features/clean-notifications.css';
import './features/fix-first-tab-length.css';
import './features/align-repository-header.css';
import './features/night-not-found.css';
import './features/hide-empty-profile-status.css';
import './features/hide-watch-and-fork-count.css';

// DO NOT add CSS files here if they are part of a JavaScript feature.
// Import the `.css` file from the `.tsx` instead.

// CSS-only disableable features
import './features/align-issue-labels';
import './features/clean-pinned-issues';
import './features/clean-dashboard';
import './features/hide-low-quality-comments';
import './features/hide-noisy-newsfeed-events';
import './features/minimize-upload-bar';
import './features/hide-diff-signs';

import './features/useful-not-found-page';
import './features/more-dropdown-links';
import './features/releases-tab';
import './features/comment-fields-keyboard-shortcuts';
import './features/one-key-formatting';
import './features/tab-to-indent';
import './features/hide-navigation-hover-highlight';
import './features/selection-in-new-tab';
import './features/quick-comment-hiding';
import './features/quick-comment-edit';
import './features/open-all-notifications';
import './features/copy-on-y';
import './features/profile-hotkey';
import './features/close-out-of-view-modals';
import './features/improve-shortcut-help';
import './features/copy-file';
import './features/hide-own-stars';
import './features/infinite-scroll';
import './features/shorten-links';
import './features/linkify-code';
import './features/download-folder-button';
import './features/linkify-branch-references';
import './features/open-all-conversations';
import './features/pagination-hotkey';
import './features/conversation-links-on-repo-lists';
import './features/global-conversation-list-filters';
import './features/more-conversation-filters';
import './features/sort-conversations-by-update-time'; // Must be after global-conversation-list-filters and more-conversation-filters and conversation-links-on-repo-lists
import './features/pinned-issues-update-time';
import './features/latest-tag-button';
import './features/default-branch-button';
import './features/one-click-diff-options';
import './features/ci-link';
import './features/star-repo-hotkey';
import './features/toggle-files-button';
import './features/sync-pr-commit-title';
import './features/open-ci-details-in-new-tab';
import './features/wait-for-build';
import './features/hide-inactive-deployments';
import './features/pull-request-hotkey';
import './features/one-click-review-submission';
import './features/embed-gist-inline';
import './features/comments-time-machine-links';
import './features/hide-issue-list-autocomplete';
import './features/esc-to-deselect-line';
import './features/create-release-shortcut';
import './features/patch-diff-links';
import './features/parse-backticks';
import './features/mark-merge-commits-in-list';
import './features/swap-branches-on-compare';
import './features/reactions-avatars';
import './features/show-names';
import './features/previous-next-commit-buttons';
import './features/preserve-whitespace-option-in-nav';
import './features/extend-diff-expander';
import './features/profile-gists-link';
import './features/show-user-top-repositories';
import './features/set-default-repositories-type-to-sources';
import './features/user-profile-follower-badge';
import './features/highlight-non-default-base-branch';
import './features/mark-private-orgs';
import './features/linkify-commit-sha';
import './features/bypass-checks';
import './features/warning-for-disallow-edits';
import './features/warn-pr-from-master';
import './features/split-issue-pr-search-results';
import './features/preview-hidden-comments';
import './features/fit-textareas';
import './features/collapsible-content-button';
import './features/resolve-conflicts';
import './features/follow-file-renames';
import './features/enable-file-links-in-compare-view'; // Must be before more-file-links
import './features/more-file-links';
import './features/tags-dropdown';
import './features/pr-filters';
import './features/quick-file-edit';
import './features/update-pr-from-base-branch';
import './features/hide-disabled-milestone-sorter';
import './features/tag-changes-link';
import './features/clean-conversation-sidebar';
import './features/sticky-sidebar';
import './features/release-download-count';
import './features/open-issue-to-latest-comment';
import './features/toggle-everything-with-alt';
import './features/suggest-commit-title-limit';
import './features/highest-rated-comment';
import './features/clean-conversation-filters';
import './features/tags-on-commits-list';
import './features/forked-to';
import './features/edit-readme';
import './features/list-prs-for-file';
import './features/pr-branch-auto-delete';
import './features/linkify-symbolic-links'; // Must be before show-whitespace
import './features/show-whitespace';
import './features/restore-file';
import './features/hidden-review-comments-indicator';
import './features/reload-failed-proxied-images';
import './features/clean-rich-text-editor';
import './features/highlight-collaborators-and-own-conversations';
import './features/embed-gist-via-iframe';
import './features/one-click-pr-or-gist';
import './features/link-to-prior-blame-line';
import './features/dim-bots';
import './features/conflict-marker';
import './features/html-preview-link';
import './features/linkify-labels-on-dashboard';
import './features/linkify-user-location';
import './features/repo-age';
import './features/user-local-time';
import './features/quick-mention';
import './features/extend-conversation-status-filters';
import './features/expand-all-hidden-comments';
import './features/bugs-tab';
import './features/cross-deleted-pr-branches';
import './features/repo-wide-file-finder';
import './features/file-finder-buffer';
import './features/pr-commit-lines-changed';
import './features/show-open-prs-of-forks';
import './features/deep-reblame';
import './features/clear-pr-merge-commit-message';
import './features/action-used-by-link';
import './features/batch-mark-files-as-viewed';
import './features/unwrap-unnecessary-dropdowns';
import './features/linkify-notification-repository-header';
import './features/stop-redirecting-in-notification-bar';
import './features/prevent-link-loss';
import './features/first-published-tag-for-merged-pr';
import './features/show-associated-branch-prs-on-fork';
import './features/quick-review';
import './features/fork-source-link-same-view';
import './features/pr-jump-to-first-non-viewed-file';
import './features/keyboard-navigation';
import './features/vertical-front-matter';
import './features/use-first-commit-message-for-new-prs';
import './features/linkify-user-edit-history-popup';
import './features/clean-repo-filelist-actions';
import './features/prevent-duplicate-pr-submission';
import './features/quick-label-removal';
import './features/clean-conversation-headers';
import './features/stop-pjax-loading-with-esc';
import './features/highlight-deleted-and-added-files-in-diffs';
import './features/convert-release-to-draft';
import './features/same-page-definition-jump';
import './features/new-repo-disable-projects-and-wikis';
import './features/table-input';
import './features/link-to-github-io';
import './features/scheduled-and-manual-workflow-indicators';
import './features/convert-pr-to-draft-improvements';
import './features/git-checkout-pr';
import './features/unfinished-comments';
import './features/jump-to-change-requested-comment';
import './features/esc-to-cancel';
import './features/easy-toggle-files';
import './features/quick-repo-deletion';
import './features/clean-repo-sidebar';
import './features/rgh-feature-descriptions';
import './features/wait-for-attachments';
import './features/useful-forks';
import './features/link-to-changelog-file';
import './features/rgh-sponsor-button';
import './features/rgh-linkify-features';
import './features/conversation-activity-filter';
import './features/select-all-notifications-shortcut';
import './features/no-duplicate-list-update-time';
import './features/view-last-pr-deployment';
import './features/global-search-filters';
import './features/clean-header-search-field';
import './features/avoid-accidental-submissions';
import './features/quick-review-comment-deletion';
import './features/no-unnecessary-split-diff-view';
import './features/list-prs-for-branch';
import './features/comment-on-draft-pr-indicator';
import './features/select-notifications';
import './features/clean-repo-tabs';
import './features/rgh-welcome-issue';
import './features/hide-repo-badges';
import './features/same-branch-author-commits';
